package com.ruoyi.project.zjsgfa.mapper;

import java.util.List;
import com.ruoyi.project.zjsgfa.domain.SjTgTgqdjh;

/**
 * 设计信息-套管柱强度校核Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-17
 */
public interface SjTgTgqdjhMapper 
{
    /**
     * 查询设计信息-套管柱强度校核
     * 
     * @param id 设计信息-套管柱强度校核主键
     * @return 设计信息-套管柱强度校核
     */
    public SjTgTgqdjh selectSjTgTgqdjhById(Long id);

    /**
     * 查询设计信息-套管柱强度校核列表
     * 
     * @param sjTgTgqdjh 设计信息-套管柱强度校核
     * @return 设计信息-套管柱强度校核集合
     */
    public List<SjTgTgqdjh> selectSjTgTgqdjhList(SjTgTgqdjh sjTgTgqdjh);

    /**
     * 新增设计信息-套管柱强度校核
     * 
     * @param sjTgTgqdjh 设计信息-套管柱强度校核
     * @return 结果
     */
    public int insertSjTgTgqdjh(SjTgTgqdjh sjTgTgqdjh);

    /**
     * 修改设计信息-套管柱强度校核
     * 
     * @param sjTgTgqdjh 设计信息-套管柱强度校核
     * @return 结果
     */
    public int updateSjTgTgqdjh(SjTgTgqdjh sjTgTgqdjh);

    /**
     * 删除设计信息-套管柱强度校核
     * 
     * @param id 设计信息-套管柱强度校核主键
     * @return 结果
     */
    public int deleteSjTgTgqdjhById(Long id);

    /**
     * 批量删除设计信息-套管柱强度校核
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjTgTgqdjhByIds(Long[] ids);

    int deleteSjTgTgqdjhByJh(String jh);

    int insertSjTgTgqdjhBatch(List<SjTgTgqdjh> sjTgTgqdjhList);

}
